Skip to main content
GET
/
v1
/
payouts
/
approvals
Get Pending Payout Approvals
curl --request GET \
  --url https://carbonapistagingsecure.getcarbon.co/baas/api/v1/payouts/approvals \
  --header 'apikey: <api-key>' \
  --header 'x-carbon-key: <x-carbon-key>'
const options = {
method: 'GET',
headers: {'x-carbon-key': '<x-carbon-key>', apikey: '<api-key>'}
};

fetch('https://carbonapistagingsecure.getcarbon.co/baas/api/v1/payouts/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://carbonapistagingsecure.getcarbon.co/baas/api/v1/payouts/approvals"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("x-carbon-key", "<x-carbon-key>")
req.Header.Add("apikey", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
    "status": "success",
    "message": "Payout approvals fetched successfully",
    "data": [
        {
            "id": 3,
            "authorization_code": "TRF-1771322171170DVXV8",
            "status": "pending",
            "amount": 20000,
            "beneficiary": {
                "account_name": "DOE JOHN",
                "account_number": "9002118329",
                "bank_name": null,
                "bank_code": "305"
            },
            "client_id": "551210620",
            "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
            "currency": "NGN",
            "expires_at": "2026-02-17T10:26:19.000000Z",
            "approved_by": null,
            "approved_at": null,
            "rejection_reason": null,
            "created_at": "2026-02-17T09:56:19.000000Z",
            "updated_at": "2026-02-17T09:56:19.000000Z",
            "is_expired": true,
            "is_pending": false
        },
        {
            "id": 2,
            "authorization_code": "TRF-1771322053739RY1V2",
            "status": "pending",
            "amount": 20000,
            "beneficiary": {
                "account_name": "DOE JOHN",
                "account_number": "9002118329",
                "bank_name": null,
                "bank_code": "305"
            },
            "client_id": "551210620",
            "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
            "currency": "NGN",
            "expires_at": "2026-02-17T10:24:21.000000Z",
            "approved_by": null,
            "approved_at": null,
            "rejection_reason": null,
            "created_at": "2026-02-17T09:54:21.000000Z",
            "updated_at": "2026-02-17T09:54:21.000000Z",
            "is_expired": true,
            "is_pending": false
        },
        {
            "id": 1,
            "authorization_code": "TRF-1771321717028NT4TF",
            "status": "pending",
            "amount": 20000,
            "beneficiary": {
                "account_name": "DOE JOHN",
                "account_number": "9002118329",
                "bank_name": null,
                "bank_code": "305"
            },
            "client_id": "551210620",
            "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
            "currency": "NGN",
            "expires_at": "2026-02-17T10:18:44.000000Z",
            "approved_by": null,
            "approved_at": null,
            "rejection_reason": null,
            "created_at": "2026-02-17T09:48:44.000000Z",
            "updated_at": "2026-02-17T09:48:44.000000Z",
            "is_expired": true,
            "is_pending": false
        }
    ]
}

Overview

This endpoint allows you to retrieve a list of all payout requests that are currently pending approval. You can also include expired approval requests in the results.

Request

Method: GET
URL: /v1/payouts/approvals

Parameters

NameInTypeRequiredDescription
x-carbon-keyHeaderstringYesAPI key for authentication.
include_expiredQuerybooleanNoSet to true to include expired approvals.

Response

Status Code: 200 OK
Content-Type: application/json
{
    "status": "success",
    "message": "Payout approvals fetched successfully",
    "data": [
        {
            "id": 3,
            "authorization_code": "TRF-1771322171170DVXV8",
            "status": "pending",
            "amount": 20000,
            "beneficiary": {
                "account_name": "DOE JOHN",
                "account_number": "9002118329",
                "bank_name": null,
                "bank_code": "305"
            },
            "client_id": "551210620",
            "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
            "currency": "NGN",
            "expires_at": "2026-02-17T10:26:19.000000Z",
            "approved_by": null,
            "approved_at": null,
            "rejection_reason": null,
            "created_at": "2026-02-17T09:56:19.000000Z",
            "updated_at": "2026-02-17T09:56:19.000000Z",
            "is_expired": true,
            "is_pending": false
        },
        {
            "id": 2,
            "authorization_code": "TRF-1771322053739RY1V2",
            "status": "pending",
            "amount": 20000,
            "beneficiary": {
                "account_name": "DOE JOHN",
                "account_number": "9002118329",
                "bank_name": null,
                "bank_code": "305"
            },
            "client_id": "551210620",
            "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
            "currency": "NGN",
            "expires_at": "2026-02-17T10:24:21.000000Z",
            "approved_by": null,
            "approved_at": null,
            "rejection_reason": null,
            "created_at": "2026-02-17T09:54:21.000000Z",
            "updated_at": "2026-02-17T09:54:21.000000Z",
            "is_expired": true,
            "is_pending": false
        },
        {
            "id": 1,
            "authorization_code": "TRF-1771321717028NT4TF",
            "status": "pending",
            "amount": 20000,
            "beneficiary": {
                "account_name": "DOE JOHN",
                "account_number": "9002118329",
                "bank_name": null,
                "bank_code": "305"
            },
            "client_id": "551210620",
            "narration": "TRF/DOE JOHN/9002118329/TEST - 100",
            "currency": "NGN",
            "expires_at": "2026-02-17T10:18:44.000000Z",
            "approved_by": null,
            "approved_at": null,
            "rejection_reason": null,
            "created_at": "2026-02-17T09:48:44.000000Z",
            "updated_at": "2026-02-17T09:48:44.000000Z",
            "is_expired": true,
            "is_pending": false
        }
    ]
}

Authorizations

apikey
string
header
required

Provide your API key in the 'apikey' header.

Headers

x-carbon-key
string
required

Query Parameters

include_expired
boolean

Response

200 - application/json

OK

The response is of type object.